Subject: bug#11211: closed (Re: bug#11211: 23.3; Gnus - eudc/ldap - inline expansion does not work)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Mar 2015 01:57:02 +0000

Your bug report

#11211: 23.3; Gnus - eudc/ldap - inline expansion does not work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11211: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11211
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11211: 23.3; Gnus - eudc/ldap - inline expansion does not work
From: Thomas Fitzsimmons <[email-masked]>
To: [email-masked]
Date: Sun, 08 Mar 2015 21:56:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm closing this because I haven't heard back how to reproduce it.
Please reopen the bug if you can provide more information and/or do the
experiment I mentioned in my last follow-up.

Thanks,
Thomas

Subject: 23.3; Gnus - eudc/ldap - inline expansion does not work
From: [email-masked] (Kamil Jo=144ca)
To: [email-masked]
Date: Tue, 10 Apr 2012 10:49:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

#v+
I configured Gnus for search adresses  in my ldap directory.
When I query via form it works perfectly.
But when I try to use inline expansion[1] it does not work and I got:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (error "No match")
  signal(error ("No match"))
  byte-code("           <---------snip here-------------> " [eudc-server
  eudc-former-server eudc-protocol eudc-former-protocol signal
  eudc-set-server t] 4)
  eudc-expand-inline()
  message-expand-name()
  message-tab()
  call-interactively(message-tab nil nil)
--8<---------------cut here---------------end--------------->8---

Stracing shows  that ldapsearch is called (once), and fills some files
with
values. These files are then read by emacs. 
[1] - by writing first/last name  and then pressing tab.
#v-

In GNU Emacs 23.3.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.8)
 of 2012-01-29 on trouble, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11102902
configured using `configure  '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.3/site-lisp:/usr/share/emacs/site-lisp' '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -DDEBIAN -O2' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: en_GB
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_GB
  value of $LANG: pl_PL.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O A RET RET q ESC O B ESC O B ESC O A RET RET SPC 
SPC SPC ESC O A ESC O A ESC O A RET ESC O B RET ESC 
O B RET q s g ESC O A ESC O A ESC O A ESC O A ESC O 
A ESC O A ESC O A ESC O A ESC O A ESC O A ESC O A ESC 
O A ESC O A ESC O A ESC O A ESC O B ESC O A ESC O A 
ESC O A ESC O A ESC O A ESC O A ESC O A ESC O A ESC 
O A ESC O A ESC O A ESC O A ESC O A ESC O A ESC O A 
ESC O A ESC O A ESC O A ESC O B ESC O B ESC O B RET 
RET h 4 # # # # # # # # # # # B m RET q ESC x ESC O 
A ESC O A RET ESC x ESC O A ESC O A RET G n u s SPC 
- SPC e u d c / l d a p SPC - SPC i n l i n e SPC e 
x p a n s i o n SPC d o e s SPC n o t SPC w o r k RET 
C-x k RET ESC O A RET C-x k RET C-x 0 C-x k RET ESC 
x ESC O A RET

Recent messages:
Checking 57 files in /usr/share/emacs/23.3/lisp/eshell...
Checking 70 files in /usr/share/emacs/23.3/lisp/erc...
Checking 52 files in /usr/share/emacs/23.3/lisp/emulation...
Checking 138 files in /usr/share/emacs/23.3/lisp/emacs-lisp...
Checking 24 files in /usr/share/emacs/23.3/lisp/cedet...
Checking 57 files in /usr/share/emacs/23.3/lisp/calendar...
Checking 87 files in /usr/share/emacs/23.3/lisp/calc...
Checking 43 files in /usr/share/emacs/23.3/lisp/obsolete...
Checking 1 files in /usr/share/emacs/23.3/leim...
Checking for load-path shadows...done

Load-path shadows:
/usr/share/emacs23/site-lisp/auctex/preview hides /usr/share/emacs/site-lisp/auctex/preview
/usr/share/emacs23/site-lisp/auctex/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp
/usr/share/emacs23/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/share/emacs23/site-lisp/auctex/tex hides /usr/share/emacs/site-lisp/auctex/tex
/usr/share/emacs23/site-lisp/auctex/tex-jp hides /usr/share/emacs/site-lisp/auctex/tex-jp
/usr/share/emacs23/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/auctex/latex
/usr/share/emacs23/site-lisp/auctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl
/usr/share/emacs23/site-lisp/auctex/tex-fptex hides /usr/share/emacs/site-lisp/auctex/tex-fptex
/usr/share/emacs23/site-lisp/auctex/tex-mik hides /usr/share/emacs/site-lisp/auctex/tex-mik
/usr/share/emacs23/site-lisp/auctex/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/share/emacs23/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-lisp/auctex/tex-fold
/usr/share/emacs23/site-lisp/auctex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex
/usr/share/emacs23/site-lisp/auctex/prv-emacs hides /usr/share/emacs/site-lisp/auctex/prv-emacs
/usr/share/emacs23/site-lisp/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs23/site-lisp/auctex/context hides /usr/share/emacs/site-lisp/auctex/context
/usr/share/emacs23/site-lisp/auctex/tex-info hides /usr/share/emacs/site-lisp/auctex/tex-info
/usr/share/emacs23/site-lisp/auctex/context-en hides /usr/share/emacs/site-lisp/auctex/context-en
/usr/share/emacs23/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lisp/auctex/tex-bar
/usr/share/emacs23/site-lisp/auctex/tex-font hides /usr/share/emacs/site-lisp/auctex/tex-font
/usr/share/emacs23/site-lisp/auctex/tex-buf hides /usr/share/emacs/site-lisp/auctex/tex-buf
/usr/share/emacs23/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-lisp/auctex/bib-cite
/usr/share/emacs/23.3/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs23/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/23.3/lisp/textmodes/ispell
/usr/share/emacs23/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/23.3/lisp/textmodes/flyspell

Features:
(shadow emacsbug nnrss xml mm-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-util url-parse url-vars nnagent
nnml goto-addr thingatpt mule-util cal-move uudecode debug shell novice
etags tutorial help-mode view gnus-fun gnus-dup multi-isearch w3m-form
w3m-symbol w3m browse-url doc-view image-mode w3m-hist w3m-fb w3m-ems
w3m-ccl ccl w3m-favicon w3m-image w3m-proc w3m-util flow-fill sort
gnus-cite smiley ansi-color mail-extr gnus-async gnus-bcklg gnus-ml
disp-table gnus-topic timezone nnfolder utf-7 utf7 rfc2104 nnimap imap
nndraft nnmh auth-source gnus-agent gnus-srvr gnus-score nnvirtual
gnus-msg gnus-art mm-uu mml2015 epg-config mm-view smime dig nntp
gnus-cache score-mode parse-time vc-cvs make-mode conf-mode newcomment
muttrc-mode man assoc fetchmail-mode latexenc preview prv-emacs byte-opt
warnings tex-buf noutline outline font-latex bytecomp byte-compile latex
edmacro kmacro tex-style tex css-mode sql comint ring dired diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs nxml-uchnm rng-xsd
xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc rng-uri rng-parse
nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns nxml-mode
nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok perl-mode
cc-awk cc-mode cc-fonts cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs jka-compr info vc-bzr bzr-dvc tla smerge-mode dvc-state
dvc-config diff tla-gnus dvc-gnus dvc-cmenu dvc-about dvc-version bzr
dvc-annotate dvc-revlist dvc-diff uniquify advice help-fns
advice-preload dvc-fileinfo bzr-core tla-core pp tla-autoconf tla-defs
dvc-log vc vc-dispatcher dvc-unified dvc-tips ffap add-log diff-mode
easy-mmode ediff-merg ediff-diff ediff-wind ediff-help ediff-util
ediff-mult ediff-init ediff xdarcs-core xgit-core xhg-core xmtn-minimal
sh-script executable w3m-load dvc-autoloads dvc-core dvc-lisp
dvc-buffers dvc-ui dvc-register dvc-utils dvc-emacs ewoc dvc-defs
dvc-site server eudcb-ldap ldap eudc eudc-options-file cus-edit
eudc-vars nnir-local cl cl-19 nnir gnus-sum gnus-group gnus-undo nnmail
mail-source format-spec gnus-start gnus-spec gnus-int gnus-range message
sendmail regexp-opt ecomplete rfc822 mml easymenu mml-sec password-cache
mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045
qp ietf-drums mailabbrev gmm-utils mailheader canlock sha1 hex-util
hashcash gnus-win nnoo gnus gnus-ems nnheader gnus-util netrc time-date
mail-utils mm-util mail-prsvr wid-edit desktop cus-start cus-load
preview-latex tex-site auto-loads tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)

-- 
http://blogdebart.pl/2009/12/22/mamy-chorych-dzieci/
History repeats itself -- the first time as a tragi-comedy, the second
time as bedroom farce.